Module tdlight.api
Package it.tdlight.jni

# Class TdApi.ChatFilterInfo

java.lang.Object
it.tdlight.jni.TdApi.Object
it.tdlight.jni.TdApi.ChatFilterInfo

Enclosing class:
  TdApi

public static final class TdApi.ChatFilterInfo extends TdApi.Object
Contains basic information about a chat filter.

## Field Summary

Fields
Modifier and Type
Field
Description
`static final int`
`CONSTRUCTOR`
`String`
`iconName`
The icon name for short filter representation.
`int`
`id`
Unique chat filter identifier.
`String`
`title`
The title of the filter; 1-12 characters without line feeds.

## Constructor Summary

Constructors
Constructor
Description
`ChatFilterInfo()`
Contains basic information about a chat filter.
`ChatFilterInfo(int id, String title, String iconName)`
Contains basic information about a chat filter.
`ChatFilterInfo(DataInput input)`
Contains basic information about a chat filter.

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`int`
`getConstructor()`
`int`
`hashCode()`
`void`
`serialize(DataOutput output)`

### Methods inherited from class it.tdlight.jni.TdApi.Object

`serialize, toString`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### id

public int id
Unique chat filter identifier.

### title

public String title
The title of the filter; 1-12 characters without line feeds.

### iconName

public String iconName
The icon name for short filter representation. One of "All", "Unread", "Unmuted", "Bots", "Channels", "Groups", "Private", "Custom", "Setup", "Cat", "Crown", "Favorite", "Flower", "Game", "Home", "Love", "Mask", "Party", "Sport", "Study", "Trade", "Travel", "Work".

### CONSTRUCTOR

public static final int CONSTRUCTOR

See Also:
  - Constant Field Values

## Constructor Details

### ChatFilterInfo

public ChatFilterInfo()
Contains basic information about a chat filter.

### ChatFilterInfo

public ChatFilterInfo(int id, String title, String iconName)
Contains basic information about a chat filter.

Parameters:
  `id` - int Unique chat filter identifier.
  `title` - String The title of the filter; 1-12 characters without line feeds.
  `iconName` - String The icon name for short filter representation. One of "All", "Unread", "Unmuted", "Bots", "Channels", "Groups", "Private", "Custom", "Setup", "Cat", "Crown", "Favorite", "Flower", "Game", "Home", "Love", "Mask", "Party", "Sport", "Study", "Trade", "Travel", "Work".

### ChatFilterInfo

public ChatFilterInfo(DataInput input) throws IOException
Contains basic information about a chat filter.

Throws:
  `IOException`

## Method Details

### getConstructor

public int getConstructor()

Specified by:
  `getConstructor` in class `TdApi.Object`

### serialize

public void serialize(DataOutput output) throws IOException

Specified by:
  `serialize` in class `TdApi.Object`
Throws:
  `IOException`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`